IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network2.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
- Network address
2.0.0.0- Broadcast address
3.255.255.255- First usable
2.0.0.1- Last usable
3.255.255.254- Usable hosts
- 33,554,430 (33,554,432 less the network and broadcast addresses)
- Subnet mask
254.0.0.0- Wildcard mask
1.255.255.255(Cisco ACLs, OSPF)- Prefix length
- /7
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
02000000· Integer33554432to67108863 - Reverse DNS zones
2.in-addr.arpa3.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00000010.00000000.00000000.00000000 | 2.0.0.0 |
| Subnet mask | 11111110.00000000.00000000.00000000 | 254.0.0.0 |
| Network | 00000010.00000000.00000000.00000000 | 2.0.0.0 |
| Broadcast | 00000011.11111111.11111111.11111111 | 3.255.255.255 |
Split into smaller subnets
/8 (2)/9 (4)/10 (8)/11 (16)/12 (32)/13 (64)/14 (128)/15 (256)/16 (512)/17 (1,024)/18 (2,048)/19 (4,096)
2.0.0.0/7 makes 1,024 subnets of /17; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 2.0.0.0/17 | 2.0.0.1 to 2.0.127.254 | 2.0.127.255 | 32,766 |
| 2 | 2.0.128.0/17 | 2.0.128.1 to 2.0.255.254 | 2.0.255.255 | 32,766 |
| 3 | 2.1.0.0/17 | 2.1.0.1 to 2.1.127.254 | 2.1.127.255 | 32,766 |
| 4 | 2.1.128.0/17 | 2.1.128.1 to 2.1.255.254 | 2.1.255.255 | 32,766 |
| 5 | 2.2.0.0/17 | 2.2.0.1 to 2.2.127.254 | 2.2.127.255 | 32,766 |
| 6 | 2.2.128.0/17 | 2.2.128.1 to 2.2.255.254 | 2.2.255.255 | 32,766 |
| 7 | 2.3.0.0/17 | 2.3.0.1 to 2.3.127.254 | 2.3.127.255 | 32,766 |
| 8 | 2.3.128.0/17 | 2.3.128.1 to 2.3.255.254 | 2.3.255.255 | 32,766 |
| 9 | 2.4.0.0/17 | 2.4.0.1 to 2.4.127.254 | 2.4.127.255 | 32,766 |
| 10 | 2.4.128.0/17 | 2.4.128.1 to 2.4.255.254 | 2.4.255.255 | 32,766 |
| 11 | 2.5.0.0/17 | 2.5.0.1 to 2.5.127.254 | 2.5.127.255 | 32,766 |
| 12 | 2.5.128.0/17 | 2.5.128.1 to 2.5.255.254 | 2.5.255.255 | 32,766 |
| 13 | 2.6.0.0/17 | 2.6.0.1 to 2.6.127.254 | 2.6.127.255 | 32,766 |
| 14 | 2.6.128.0/17 | 2.6.128.1 to 2.6.255.254 | 2.6.255.255 | 32,766 |
| 15 | 2.7.0.0/17 | 2.7.0.1 to 2.7.127.254 | 2.7.127.255 | 32,766 |
| 16 | 2.7.128.0/17 | 2.7.128.1 to 2.7.255.254 | 2.7.255.255 | 32,766 |
| 17 | 2.8.0.0/17 | 2.8.0.1 to 2.8.127.254 | 2.8.127.255 | 32,766 |
| 18 | 2.8.128.0/17 | 2.8.128.1 to 2.8.255.254 | 2.8.255.255 | 32,766 |
| 19 | 2.9.0.0/17 | 2.9.0.1 to 2.9.127.254 | 2.9.127.255 | 32,766 |
| 20 | 2.9.128.0/17 | 2.9.128.1 to 2.9.255.254 | 2.9.255.255 | 32,766 |
| 21 | 2.10.0.0/17 | 2.10.0.1 to 2.10.127.254 | 2.10.127.255 | 32,766 |
| 22 | 2.10.128.0/17 | 2.10.128.1 to 2.10.255.254 | 2.10.255.255 | 32,766 |
| 23 | 2.11.0.0/17 | 2.11.0.1 to 2.11.127.254 | 2.11.127.255 | 32,766 |
| 24 | 2.11.128.0/17 | 2.11.128.1 to 2.11.255.254 | 2.11.255.255 | 32,766 |
| 25 | 2.12.0.0/17 | 2.12.0.1 to 2.12.127.254 | 2.12.127.255 | 32,766 |
| 26 | 2.12.128.0/17 | 2.12.128.1 to 2.12.255.254 | 2.12.255.255 | 32,766 |
| 27 | 2.13.0.0/17 | 2.13.0.1 to 2.13.127.254 | 2.13.127.255 | 32,766 |
| 28 | 2.13.128.0/17 | 2.13.128.1 to 2.13.255.254 | 2.13.255.255 | 32,766 |
| 29 | 2.14.0.0/17 | 2.14.0.1 to 2.14.127.254 | 2.14.127.255 | 32,766 |
| 30 | 2.14.128.0/17 | 2.14.128.1 to 2.14.255.254 | 2.14.255.255 | 32,766 |
| 31 | 2.15.0.0/17 | 2.15.0.1 to 2.15.127.254 | 2.15.127.255 | 32,766 |
| 32 | 2.15.128.0/17 | 2.15.128.1 to 2.15.255.254 | 2.15.255.255 | 32,766 |
| 33 | 2.16.0.0/17 | 2.16.0.1 to 2.16.127.254 | 2.16.127.255 | 32,766 |
| 34 | 2.16.128.0/17 | 2.16.128.1 to 2.16.255.254 | 2.16.255.255 | 32,766 |
| 35 | 2.17.0.0/17 | 2.17.0.1 to 2.17.127.254 | 2.17.127.255 | 32,766 |
| 36 | 2.17.128.0/17 | 2.17.128.1 to 2.17.255.254 | 2.17.255.255 | 32,766 |
| 37 | 2.18.0.0/17 | 2.18.0.1 to 2.18.127.254 | 2.18.127.255 | 32,766 |
| 38 | 2.18.128.0/17 | 2.18.128.1 to 2.18.255.254 | 2.18.255.255 | 32,766 |
| 39 | 2.19.0.0/17 | 2.19.0.1 to 2.19.127.254 | 2.19.127.255 | 32,766 |
| 40 | 2.19.128.0/17 | 2.19.128.1 to 2.19.255.254 | 2.19.255.255 | 32,766 |
| 41 | 2.20.0.0/17 | 2.20.0.1 to 2.20.127.254 | 2.20.127.255 | 32,766 |
| 42 | 2.20.128.0/17 | 2.20.128.1 to 2.20.255.254 | 2.20.255.255 | 32,766 |
| 43 | 2.21.0.0/17 | 2.21.0.1 to 2.21.127.254 | 2.21.127.255 | 32,766 |
| 44 | 2.21.128.0/17 | 2.21.128.1 to 2.21.255.254 | 2.21.255.255 | 32,766 |
| 45 | 2.22.0.0/17 | 2.22.0.1 to 2.22.127.254 | 2.22.127.255 | 32,766 |
| 46 | 2.22.128.0/17 | 2.22.128.1 to 2.22.255.254 | 2.22.255.255 | 32,766 |
| 47 | 2.23.0.0/17 | 2.23.0.1 to 2.23.127.254 | 2.23.127.255 | 32,766 |
| 48 | 2.23.128.0/17 | 2.23.128.1 to 2.23.255.254 | 2.23.255.255 | 32,766 |
| 49 | 2.24.0.0/17 | 2.24.0.1 to 2.24.127.254 | 2.24.127.255 | 32,766 |
| 50 | 2.24.128.0/17 | 2.24.128.1 to 2.24.255.254 | 2.24.255.255 | 32,766 |
| 51 | 2.25.0.0/17 | 2.25.0.1 to 2.25.127.254 | 2.25.127.255 | 32,766 |
| 52 | 2.25.128.0/17 | 2.25.128.1 to 2.25.255.254 | 2.25.255.255 | 32,766 |
| 53 | 2.26.0.0/17 | 2.26.0.1 to 2.26.127.254 | 2.26.127.255 | 32,766 |
| 54 | 2.26.128.0/17 | 2.26.128.1 to 2.26.255.254 | 2.26.255.255 | 32,766 |
| 55 | 2.27.0.0/17 | 2.27.0.1 to 2.27.127.254 | 2.27.127.255 | 32,766 |
| 56 | 2.27.128.0/17 | 2.27.128.1 to 2.27.255.254 | 2.27.255.255 | 32,766 |
| 57 | 2.28.0.0/17 | 2.28.0.1 to 2.28.127.254 | 2.28.127.255 | 32,766 |
| 58 | 2.28.128.0/17 | 2.28.128.1 to 2.28.255.254 | 2.28.255.255 | 32,766 |
| 59 | 2.29.0.0/17 | 2.29.0.1 to 2.29.127.254 | 2.29.127.255 | 32,766 |
| 60 | 2.29.128.0/17 | 2.29.128.1 to 2.29.255.254 | 2.29.255.255 | 32,766 |
| 61 | 2.30.0.0/17 | 2.30.0.1 to 2.30.127.254 | 2.30.127.255 | 32,766 |
| 62 | 2.30.128.0/17 | 2.30.128.1 to 2.30.255.254 | 2.30.255.255 | 32,766 |
| 63 | 2.31.0.0/17 | 2.31.0.1 to 2.31.127.254 | 2.31.127.255 | 32,766 |
| 64 | 2.31.128.0/17 | 2.31.128.1 to 2.31.255.254 | 2.31.255.255 | 32,766 |
| 65 | 2.32.0.0/17 | 2.32.0.1 to 2.32.127.254 | 2.32.127.255 | 32,766 |
| 66 | 2.32.128.0/17 | 2.32.128.1 to 2.32.255.254 | 2.32.255.255 | 32,766 |
| 67 | 2.33.0.0/17 | 2.33.0.1 to 2.33.127.254 | 2.33.127.255 | 32,766 |
| 68 | 2.33.128.0/17 | 2.33.128.1 to 2.33.255.254 | 2.33.255.255 | 32,766 |
| 69 | 2.34.0.0/17 | 2.34.0.1 to 2.34.127.254 | 2.34.127.255 | 32,766 |
| 70 | 2.34.128.0/17 | 2.34.128.1 to 2.34.255.254 | 2.34.255.255 | 32,766 |
| 71 | 2.35.0.0/17 | 2.35.0.1 to 2.35.127.254 | 2.35.127.255 | 32,766 |
| 72 | 2.35.128.0/17 | 2.35.128.1 to 2.35.255.254 | 2.35.255.255 | 32,766 |
| 73 | 2.36.0.0/17 | 2.36.0.1 to 2.36.127.254 | 2.36.127.255 | 32,766 |
| 74 | 2.36.128.0/17 | 2.36.128.1 to 2.36.255.254 | 2.36.255.255 | 32,766 |
| 75 | 2.37.0.0/17 | 2.37.0.1 to 2.37.127.254 | 2.37.127.255 | 32,766 |
| 76 | 2.37.128.0/17 | 2.37.128.1 to 2.37.255.254 | 2.37.255.255 | 32,766 |
| 77 | 2.38.0.0/17 | 2.38.0.1 to 2.38.127.254 | 2.38.127.255 | 32,766 |
| 78 | 2.38.128.0/17 | 2.38.128.1 to 2.38.255.254 | 2.38.255.255 | 32,766 |
| 79 | 2.39.0.0/17 | 2.39.0.1 to 2.39.127.254 | 2.39.127.255 | 32,766 |
| 80 | 2.39.128.0/17 | 2.39.128.1 to 2.39.255.254 | 2.39.255.255 | 32,766 |
| 81 | 2.40.0.0/17 | 2.40.0.1 to 2.40.127.254 | 2.40.127.255 | 32,766 |
| 82 | 2.40.128.0/17 | 2.40.128.1 to 2.40.255.254 | 2.40.255.255 | 32,766 |
| 83 | 2.41.0.0/17 | 2.41.0.1 to 2.41.127.254 | 2.41.127.255 | 32,766 |
| 84 | 2.41.128.0/17 | 2.41.128.1 to 2.41.255.254 | 2.41.255.255 | 32,766 |
| 85 | 2.42.0.0/17 | 2.42.0.1 to 2.42.127.254 | 2.42.127.255 | 32,766 |
| 86 | 2.42.128.0/17 | 2.42.128.1 to 2.42.255.254 | 2.42.255.255 | 32,766 |
| 87 | 2.43.0.0/17 | 2.43.0.1 to 2.43.127.254 | 2.43.127.255 | 32,766 |
| 88 | 2.43.128.0/17 | 2.43.128.1 to 2.43.255.254 | 2.43.255.255 | 32,766 |
| 89 | 2.44.0.0/17 | 2.44.0.1 to 2.44.127.254 | 2.44.127.255 | 32,766 |
| 90 | 2.44.128.0/17 | 2.44.128.1 to 2.44.255.254 | 2.44.255.255 | 32,766 |
| 91 | 2.45.0.0/17 | 2.45.0.1 to 2.45.127.254 | 2.45.127.255 | 32,766 |
| 92 | 2.45.128.0/17 | 2.45.128.1 to 2.45.255.254 | 2.45.255.255 | 32,766 |
| 93 | 2.46.0.0/17 | 2.46.0.1 to 2.46.127.254 | 2.46.127.255 | 32,766 |
| 94 | 2.46.128.0/17 | 2.46.128.1 to 2.46.255.254 | 2.46.255.255 | 32,766 |
| 95 | 2.47.0.0/17 | 2.47.0.1 to 2.47.127.254 | 2.47.127.255 | 32,766 |
| 96 | 2.47.128.0/17 | 2.47.128.1 to 2.47.255.254 | 2.47.255.255 | 32,766 |
| 97 | 2.48.0.0/17 | 2.48.0.1 to 2.48.127.254 | 2.48.127.255 | 32,766 |
| 98 | 2.48.128.0/17 | 2.48.128.1 to 2.48.255.254 | 2.48.255.255 | 32,766 |
| 99 | 2.49.0.0/17 | 2.49.0.1 to 2.49.127.254 | 2.49.127.255 | 32,766 |
| 100 | 2.49.128.0/17 | 2.49.128.1 to 2.49.255.254 | 2.49.255.255 | 32,766 |
| 101 | 2.50.0.0/17 | 2.50.0.1 to 2.50.127.254 | 2.50.127.255 | 32,766 |
| 102 | 2.50.128.0/17 | 2.50.128.1 to 2.50.255.254 | 2.50.255.255 | 32,766 |
| 103 | 2.51.0.0/17 | 2.51.0.1 to 2.51.127.254 | 2.51.127.255 | 32,766 |
| 104 | 2.51.128.0/17 | 2.51.128.1 to 2.51.255.254 | 2.51.255.255 | 32,766 |
| 105 | 2.52.0.0/17 | 2.52.0.1 to 2.52.127.254 | 2.52.127.255 | 32,766 |
| 106 | 2.52.128.0/17 | 2.52.128.1 to 2.52.255.254 | 2.52.255.255 | 32,766 |
| 107 | 2.53.0.0/17 | 2.53.0.1 to 2.53.127.254 | 2.53.127.255 | 32,766 |
| 108 | 2.53.128.0/17 | 2.53.128.1 to 2.53.255.254 | 2.53.255.255 | 32,766 |
| 109 | 2.54.0.0/17 | 2.54.0.1 to 2.54.127.254 | 2.54.127.255 | 32,766 |
| 110 | 2.54.128.0/17 | 2.54.128.1 to 2.54.255.254 | 2.54.255.255 | 32,766 |
| 111 | 2.55.0.0/17 | 2.55.0.1 to 2.55.127.254 | 2.55.127.255 | 32,766 |
| 112 | 2.55.128.0/17 | 2.55.128.1 to 2.55.255.254 | 2.55.255.255 | 32,766 |
| 113 | 2.56.0.0/17 | 2.56.0.1 to 2.56.127.254 | 2.56.127.255 | 32,766 |
| 114 | 2.56.128.0/17 | 2.56.128.1 to 2.56.255.254 | 2.56.255.255 | 32,766 |
| 115 | 2.57.0.0/17 | 2.57.0.1 to 2.57.127.254 | 2.57.127.255 | 32,766 |
| 116 | 2.57.128.0/17 | 2.57.128.1 to 2.57.255.254 | 2.57.255.255 | 32,766 |
| 117 | 2.58.0.0/17 | 2.58.0.1 to 2.58.127.254 | 2.58.127.255 | 32,766 |
| 118 | 2.58.128.0/17 | 2.58.128.1 to 2.58.255.254 | 2.58.255.255 | 32,766 |
| 119 | 2.59.0.0/17 | 2.59.0.1 to 2.59.127.254 | 2.59.127.255 | 32,766 |
| 120 | 2.59.128.0/17 | 2.59.128.1 to 2.59.255.254 | 2.59.255.255 | 32,766 |
| 121 | 2.60.0.0/17 | 2.60.0.1 to 2.60.127.254 | 2.60.127.255 | 32,766 |
| 122 | 2.60.128.0/17 | 2.60.128.1 to 2.60.255.254 | 2.60.255.255 | 32,766 |
| 123 | 2.61.0.0/17 | 2.61.0.1 to 2.61.127.254 | 2.61.127.255 | 32,766 |
| 124 | 2.61.128.0/17 | 2.61.128.1 to 2.61.255.254 | 2.61.255.255 | 32,766 |
| 125 | 2.62.0.0/17 | 2.62.0.1 to 2.62.127.254 | 2.62.127.255 | 32,766 |
| 126 | 2.62.128.0/17 | 2.62.128.1 to 2.62.255.254 | 2.62.255.255 | 32,766 |
| 127 | 2.63.0.0/17 | 2.63.0.1 to 2.63.127.254 | 2.63.127.255 | 32,766 |
| 128 | 2.63.128.0/17 | 2.63.128.1 to 2.63.255.254 | 2.63.255.255 | 32,766 |
| 129 | 2.64.0.0/17 | 2.64.0.1 to 2.64.127.254 | 2.64.127.255 | 32,766 |
| 130 | 2.64.128.0/17 | 2.64.128.1 to 2.64.255.254 | 2.64.255.255 | 32,766 |
| 131 | 2.65.0.0/17 | 2.65.0.1 to 2.65.127.254 | 2.65.127.255 | 32,766 |
| 132 | 2.65.128.0/17 | 2.65.128.1 to 2.65.255.254 | 2.65.255.255 | 32,766 |
| 133 | 2.66.0.0/17 | 2.66.0.1 to 2.66.127.254 | 2.66.127.255 | 32,766 |
| 134 | 2.66.128.0/17 | 2.66.128.1 to 2.66.255.254 | 2.66.255.255 | 32,766 |
| 135 | 2.67.0.0/17 | 2.67.0.1 to 2.67.127.254 | 2.67.127.255 | 32,766 |
| 136 | 2.67.128.0/17 | 2.67.128.1 to 2.67.255.254 | 2.67.255.255 | 32,766 |
| 137 | 2.68.0.0/17 | 2.68.0.1 to 2.68.127.254 | 2.68.127.255 | 32,766 |
| 138 | 2.68.128.0/17 | 2.68.128.1 to 2.68.255.254 | 2.68.255.255 | 32,766 |
| 139 | 2.69.0.0/17 | 2.69.0.1 to 2.69.127.254 | 2.69.127.255 | 32,766 |
| 140 | 2.69.128.0/17 | 2.69.128.1 to 2.69.255.254 | 2.69.255.255 | 32,766 |
| 141 | 2.70.0.0/17 | 2.70.0.1 to 2.70.127.254 | 2.70.127.255 | 32,766 |
| 142 | 2.70.128.0/17 | 2.70.128.1 to 2.70.255.254 | 2.70.255.255 | 32,766 |
| 143 | 2.71.0.0/17 | 2.71.0.1 to 2.71.127.254 | 2.71.127.255 | 32,766 |
| 144 | 2.71.128.0/17 | 2.71.128.1 to 2.71.255.254 | 2.71.255.255 | 32,766 |
| 145 | 2.72.0.0/17 | 2.72.0.1 to 2.72.127.254 | 2.72.127.255 | 32,766 |
| 146 | 2.72.128.0/17 | 2.72.128.1 to 2.72.255.254 | 2.72.255.255 | 32,766 |
| 147 | 2.73.0.0/17 | 2.73.0.1 to 2.73.127.254 | 2.73.127.255 | 32,766 |
| 148 | 2.73.128.0/17 | 2.73.128.1 to 2.73.255.254 | 2.73.255.255 | 32,766 |
| 149 | 2.74.0.0/17 | 2.74.0.1 to 2.74.127.254 | 2.74.127.255 | 32,766 |
| 150 | 2.74.128.0/17 | 2.74.128.1 to 2.74.255.254 | 2.74.255.255 | 32,766 |
| 151 | 2.75.0.0/17 | 2.75.0.1 to 2.75.127.254 | 2.75.127.255 | 32,766 |
| 152 | 2.75.128.0/17 | 2.75.128.1 to 2.75.255.254 | 2.75.255.255 | 32,766 |
| 153 | 2.76.0.0/17 | 2.76.0.1 to 2.76.127.254 | 2.76.127.255 | 32,766 |
| 154 | 2.76.128.0/17 | 2.76.128.1 to 2.76.255.254 | 2.76.255.255 | 32,766 |
| 155 | 2.77.0.0/17 | 2.77.0.1 to 2.77.127.254 | 2.77.127.255 | 32,766 |
| 156 | 2.77.128.0/17 | 2.77.128.1 to 2.77.255.254 | 2.77.255.255 | 32,766 |
| 157 | 2.78.0.0/17 | 2.78.0.1 to 2.78.127.254 | 2.78.127.255 | 32,766 |
| 158 | 2.78.128.0/17 | 2.78.128.1 to 2.78.255.254 | 2.78.255.255 | 32,766 |
| 159 | 2.79.0.0/17 | 2.79.0.1 to 2.79.127.254 | 2.79.127.255 | 32,766 |
| 160 | 2.79.128.0/17 | 2.79.128.1 to 2.79.255.254 | 2.79.255.255 | 32,766 |
| 161 | 2.80.0.0/17 | 2.80.0.1 to 2.80.127.254 | 2.80.127.255 | 32,766 |
| 162 | 2.80.128.0/17 | 2.80.128.1 to 2.80.255.254 | 2.80.255.255 | 32,766 |
| 163 | 2.81.0.0/17 | 2.81.0.1 to 2.81.127.254 | 2.81.127.255 | 32,766 |
| 164 | 2.81.128.0/17 | 2.81.128.1 to 2.81.255.254 | 2.81.255.255 | 32,766 |
| 165 | 2.82.0.0/17 | 2.82.0.1 to 2.82.127.254 | 2.82.127.255 | 32,766 |
| 166 | 2.82.128.0/17 | 2.82.128.1 to 2.82.255.254 | 2.82.255.255 | 32,766 |
| 167 | 2.83.0.0/17 | 2.83.0.1 to 2.83.127.254 | 2.83.127.255 | 32,766 |
| 168 | 2.83.128.0/17 | 2.83.128.1 to 2.83.255.254 | 2.83.255.255 | 32,766 |
| 169 | 2.84.0.0/17 | 2.84.0.1 to 2.84.127.254 | 2.84.127.255 | 32,766 |
| 170 | 2.84.128.0/17 | 2.84.128.1 to 2.84.255.254 | 2.84.255.255 | 32,766 |
| 171 | 2.85.0.0/17 | 2.85.0.1 to 2.85.127.254 | 2.85.127.255 | 32,766 |
| 172 | 2.85.128.0/17 | 2.85.128.1 to 2.85.255.254 | 2.85.255.255 | 32,766 |
| 173 | 2.86.0.0/17 | 2.86.0.1 to 2.86.127.254 | 2.86.127.255 | 32,766 |
| 174 | 2.86.128.0/17 | 2.86.128.1 to 2.86.255.254 | 2.86.255.255 | 32,766 |
| 175 | 2.87.0.0/17 | 2.87.0.1 to 2.87.127.254 | 2.87.127.255 | 32,766 |
| 176 | 2.87.128.0/17 | 2.87.128.1 to 2.87.255.254 | 2.87.255.255 | 32,766 |
| 177 | 2.88.0.0/17 | 2.88.0.1 to 2.88.127.254 | 2.88.127.255 | 32,766 |
| 178 | 2.88.128.0/17 | 2.88.128.1 to 2.88.255.254 | 2.88.255.255 | 32,766 |
| 179 | 2.89.0.0/17 | 2.89.0.1 to 2.89.127.254 | 2.89.127.255 | 32,766 |
| 180 | 2.89.128.0/17 | 2.89.128.1 to 2.89.255.254 | 2.89.255.255 | 32,766 |
| 181 | 2.90.0.0/17 | 2.90.0.1 to 2.90.127.254 | 2.90.127.255 | 32,766 |
| 182 | 2.90.128.0/17 | 2.90.128.1 to 2.90.255.254 | 2.90.255.255 | 32,766 |
| 183 | 2.91.0.0/17 | 2.91.0.1 to 2.91.127.254 | 2.91.127.255 | 32,766 |
| 184 | 2.91.128.0/17 | 2.91.128.1 to 2.91.255.254 | 2.91.255.255 | 32,766 |
| 185 | 2.92.0.0/17 | 2.92.0.1 to 2.92.127.254 | 2.92.127.255 | 32,766 |
| 186 | 2.92.128.0/17 | 2.92.128.1 to 2.92.255.254 | 2.92.255.255 | 32,766 |
| 187 | 2.93.0.0/17 | 2.93.0.1 to 2.93.127.254 | 2.93.127.255 | 32,766 |
| 188 | 2.93.128.0/17 | 2.93.128.1 to 2.93.255.254 | 2.93.255.255 | 32,766 |
| 189 | 2.94.0.0/17 | 2.94.0.1 to 2.94.127.254 | 2.94.127.255 | 32,766 |
| 190 | 2.94.128.0/17 | 2.94.128.1 to 2.94.255.254 | 2.94.255.255 | 32,766 |
| 191 | 2.95.0.0/17 | 2.95.0.1 to 2.95.127.254 | 2.95.127.255 | 32,766 |
| 192 | 2.95.128.0/17 | 2.95.128.1 to 2.95.255.254 | 2.95.255.255 | 32,766 |
| 193 | 2.96.0.0/17 | 2.96.0.1 to 2.96.127.254 | 2.96.127.255 | 32,766 |
| 194 | 2.96.128.0/17 | 2.96.128.1 to 2.96.255.254 | 2.96.255.255 | 32,766 |
| 195 | 2.97.0.0/17 | 2.97.0.1 to 2.97.127.254 | 2.97.127.255 | 32,766 |
| 196 | 2.97.128.0/17 | 2.97.128.1 to 2.97.255.254 | 2.97.255.255 | 32,766 |
| 197 | 2.98.0.0/17 | 2.98.0.1 to 2.98.127.254 | 2.98.127.255 | 32,766 |
| 198 | 2.98.128.0/17 | 2.98.128.1 to 2.98.255.254 | 2.98.255.255 | 32,766 |
| 199 | 2.99.0.0/17 | 2.99.0.1 to 2.99.127.254 | 2.99.127.255 | 32,766 |
| 200 | 2.99.128.0/17 | 2.99.128.1 to 2.99.255.254 | 2.99.255.255 | 32,766 |
| 201 | 2.100.0.0/17 | 2.100.0.1 to 2.100.127.254 | 2.100.127.255 | 32,766 |
| 202 | 2.100.128.0/17 | 2.100.128.1 to 2.100.255.254 | 2.100.255.255 | 32,766 |
| 203 | 2.101.0.0/17 | 2.101.0.1 to 2.101.127.254 | 2.101.127.255 | 32,766 |
| 204 | 2.101.128.0/17 | 2.101.128.1 to 2.101.255.254 | 2.101.255.255 | 32,766 |
| 205 | 2.102.0.0/17 | 2.102.0.1 to 2.102.127.254 | 2.102.127.255 | 32,766 |
| 206 | 2.102.128.0/17 | 2.102.128.1 to 2.102.255.254 | 2.102.255.255 | 32,766 |
| 207 | 2.103.0.0/17 | 2.103.0.1 to 2.103.127.254 | 2.103.127.255 | 32,766 |
| 208 | 2.103.128.0/17 | 2.103.128.1 to 2.103.255.254 | 2.103.255.255 | 32,766 |
| 209 | 2.104.0.0/17 | 2.104.0.1 to 2.104.127.254 | 2.104.127.255 | 32,766 |
| 210 | 2.104.128.0/17 | 2.104.128.1 to 2.104.255.254 | 2.104.255.255 | 32,766 |
| 211 | 2.105.0.0/17 | 2.105.0.1 to 2.105.127.254 | 2.105.127.255 | 32,766 |
| 212 | 2.105.128.0/17 | 2.105.128.1 to 2.105.255.254 | 2.105.255.255 | 32,766 |
| 213 | 2.106.0.0/17 | 2.106.0.1 to 2.106.127.254 | 2.106.127.255 | 32,766 |
| 214 | 2.106.128.0/17 | 2.106.128.1 to 2.106.255.254 | 2.106.255.255 | 32,766 |
| 215 | 2.107.0.0/17 | 2.107.0.1 to 2.107.127.254 | 2.107.127.255 | 32,766 |
| 216 | 2.107.128.0/17 | 2.107.128.1 to 2.107.255.254 | 2.107.255.255 | 32,766 |
| 217 | 2.108.0.0/17 | 2.108.0.1 to 2.108.127.254 | 2.108.127.255 | 32,766 |
| 218 | 2.108.128.0/17 | 2.108.128.1 to 2.108.255.254 | 2.108.255.255 | 32,766 |
| 219 | 2.109.0.0/17 | 2.109.0.1 to 2.109.127.254 | 2.109.127.255 | 32,766 |
| 220 | 2.109.128.0/17 | 2.109.128.1 to 2.109.255.254 | 2.109.255.255 | 32,766 |
| 221 | 2.110.0.0/17 | 2.110.0.1 to 2.110.127.254 | 2.110.127.255 | 32,766 |
| 222 | 2.110.128.0/17 | 2.110.128.1 to 2.110.255.254 | 2.110.255.255 | 32,766 |
| 223 | 2.111.0.0/17 | 2.111.0.1 to 2.111.127.254 | 2.111.127.255 | 32,766 |
| 224 | 2.111.128.0/17 | 2.111.128.1 to 2.111.255.254 | 2.111.255.255 | 32,766 |
| 225 | 2.112.0.0/17 | 2.112.0.1 to 2.112.127.254 | 2.112.127.255 | 32,766 |
| 226 | 2.112.128.0/17 | 2.112.128.1 to 2.112.255.254 | 2.112.255.255 | 32,766 |
| 227 | 2.113.0.0/17 | 2.113.0.1 to 2.113.127.254 | 2.113.127.255 | 32,766 |
| 228 | 2.113.128.0/17 | 2.113.128.1 to 2.113.255.254 | 2.113.255.255 | 32,766 |
| 229 | 2.114.0.0/17 | 2.114.0.1 to 2.114.127.254 | 2.114.127.255 | 32,766 |
| 230 | 2.114.128.0/17 | 2.114.128.1 to 2.114.255.254 | 2.114.255.255 | 32,766 |
| 231 | 2.115.0.0/17 | 2.115.0.1 to 2.115.127.254 | 2.115.127.255 | 32,766 |
| 232 | 2.115.128.0/17 | 2.115.128.1 to 2.115.255.254 | 2.115.255.255 | 32,766 |
| 233 | 2.116.0.0/17 | 2.116.0.1 to 2.116.127.254 | 2.116.127.255 | 32,766 |
| 234 | 2.116.128.0/17 | 2.116.128.1 to 2.116.255.254 | 2.116.255.255 | 32,766 |
| 235 | 2.117.0.0/17 | 2.117.0.1 to 2.117.127.254 | 2.117.127.255 | 32,766 |
| 236 | 2.117.128.0/17 | 2.117.128.1 to 2.117.255.254 | 2.117.255.255 | 32,766 |
| 237 | 2.118.0.0/17 | 2.118.0.1 to 2.118.127.254 | 2.118.127.255 | 32,766 |
| 238 | 2.118.128.0/17 | 2.118.128.1 to 2.118.255.254 | 2.118.255.255 | 32,766 |
| 239 | 2.119.0.0/17 | 2.119.0.1 to 2.119.127.254 | 2.119.127.255 | 32,766 |
| 240 | 2.119.128.0/17 | 2.119.128.1 to 2.119.255.254 | 2.119.255.255 | 32,766 |
| 241 | 2.120.0.0/17 | 2.120.0.1 to 2.120.127.254 | 2.120.127.255 | 32,766 |
| 242 | 2.120.128.0/17 | 2.120.128.1 to 2.120.255.254 | 2.120.255.255 | 32,766 |
| 243 | 2.121.0.0/17 | 2.121.0.1 to 2.121.127.254 | 2.121.127.255 | 32,766 |
| 244 | 2.121.128.0/17 | 2.121.128.1 to 2.121.255.254 | 2.121.255.255 | 32,766 |
| 245 | 2.122.0.0/17 | 2.122.0.1 to 2.122.127.254 | 2.122.127.255 | 32,766 |
| 246 | 2.122.128.0/17 | 2.122.128.1 to 2.122.255.254 | 2.122.255.255 | 32,766 |
| 247 | 2.123.0.0/17 | 2.123.0.1 to 2.123.127.254 | 2.123.127.255 | 32,766 |
| 248 | 2.123.128.0/17 | 2.123.128.1 to 2.123.255.254 | 2.123.255.255 | 32,766 |
| 249 | 2.124.0.0/17 | 2.124.0.1 to 2.124.127.254 | 2.124.127.255 | 32,766 |
| 250 | 2.124.128.0/17 | 2.124.128.1 to 2.124.255.254 | 2.124.255.255 | 32,766 |
| 251 | 2.125.0.0/17 | 2.125.0.1 to 2.125.127.254 | 2.125.127.255 | 32,766 |
| 252 | 2.125.128.0/17 | 2.125.128.1 to 2.125.255.254 | 2.125.255.255 | 32,766 |
| 253 | 2.126.0.0/17 | 2.126.0.1 to 2.126.127.254 | 2.126.127.255 | 32,766 |
| 254 | 2.126.128.0/17 | 2.126.128.1 to 2.126.255.254 | 2.126.255.255 | 32,766 |
| 255 | 2.127.0.0/17 | 2.127.0.1 to 2.127.127.254 | 2.127.127.255 | 32,766 |
| 256 | 2.127.128.0/17 | 2.127.128.1 to 2.127.255.254 | 2.127.255.255 | 32,766 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |